<template>
  <div class="case" ref="case">
    <!-- section title -->
    <h2 class="case__title section__title">
      работы /
      <span>{{ title }}</span>
    </h2>
    <div class="case__grid" @click="goToCase(routeName)">
      <!-- first column -->
      <div class="case__column">
        <div class="case__image-wrapper">
          <img :src="images[0]" :alt="title" class="case__image" />
        </div>
      </div>

      <!-- second column -->
      <div class="case__column">
        <div class="case__image-wrapper">
          <img :src="images[1]" :alt="title" class="case__image" />
        </div>
        <div class="case__image-wrapper">
          <img :src="images[2]" :alt="title" class="case__image" />
        </div>
      </div>

      <!-- third column -->
      <div class="case__column">
        <div class="case__image-wrapper">
          <img :src="images[3]" :alt="title" class="case__image" />
        </div>

        <!-- title + description -->
        <div class="case__name-wrapper">
          <p class="case__name" v-html="title"></p>
          <p class="case__desc" v-html="descriptionHTML"></p>
        </div>

        <div class="case__image-wrapper">
          <img :src="images[4]" :alt="title" class="case__image" />
        </div>
      </div>

      <!-- fourth column -->
      <div class="case__column">
        <div class="case__image-wrapper">
          <img :src="images[5]" :alt="title" class="case__image" />
        </div>
      </div>
    </div>
  </div>
</template>

<script>
// import { gsap } from 'gsap'
// import { ScrollTrigger } from 'gsap/ScrollTrigger'
// gsap.registerPlugin(ScrollTrigger)

export default {
  name: 'Case',
  props: {
    title: {
      type: String
    },
    descriptionHTML: {
      type: String
    },
    id: {
      type: [String, Number]
    },
    images: {
      type: Array
    },
    routeName: {
      type: String
    }
  },
  methods: {
    goToCase(routeName) {
      this.$router.push({ name: routeName })
    }
    // animateCases() {
    //   gsap.core.Tween.to(`.case${this.id}`, 0.3, {
    //     scrollTrigger: {
    //       trigger: `.case${this.id}`,
    //       scrub: 1,
    //       start: 'top top',
    //       end: 'bottom -100%'
    //     },
    //     ease: 'power3.easeOut',
    //     x: -600
    //   })
    // }
  }
}
</script>
